GiveWp < 2.5.5 - Authentication Bypass



Description
"The weakness allowed unauthenticated users to bypass API authentication methods and potentially access personally identifiable user information (PII) like names, addresses, IP addresses, and email addresses which should not be publicly accessible."

Affects Plugin

fixed in version 2.5.5

References

URL https://www.wordfence.com/blog/2019/09/authentication-bypass-vulnerability-in-givewp-plugin/

Classification

Type AUTHBYPASS
OWASP Top 10 A2: Broken Authentication and Session Management
CWE CWE-287

Miscellaneous

Original Researcher Wordfence
Views 3868
Verified No
WPVDB ID 9889

Timeline

Publicly Published 2019-09-26 (25 days ago)
Added 2019-09-27 (24 days ago)
Last Updated 2019-09-27 (24 days ago)

Our Other Services

Online WordPress Vulnerability Scanner WPScan WordPress Security Plugin